/*
 * COPYRIGHT (c) 2009 by Institute of Computer Science, 
 * Foundation for Research and Technology - Hellas
 * Contact: 
 *      POBox 1385, Heraklio Crete, GR-700 13 GREECE
 *      Tel:+30-2810-391632
 *      Fax: +30-2810-391638
 *      E-mail: isl@ics.forth.gr
 *      http://www.ics.forth.gr/isl/cci.html
 *
 *  Original Author  :  Georgis Christos
 *  Modified by: Georgis Christos
 *
 *  This file is part of  ISL - Time-Primitive JAVA-API
 *
 *  ISL - Time-Primitive JAVA-API is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  ISL - Time-Primitive JAVA-API is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ISL - Time-Primitive JAVA-API.  If not, see <http://www.gnu.org/licenses/>.
 */
 
 import java.io.*;
import sistime.*;

class test {

public test() {
	test_time("1945");
	test_time("1200 - 1450");
	test_time("26ος αιώνας - δεccccκαετία του 3120");
	test_time("26ος αιώνας - δεκαετία του 2260  π.χ.");
	test_time("5th century");
	test_time("123-0");
}

public void test_time(String time_str) {
	Time t1 = new Time();
	IntegerObject lower = new IntegerObject();
	IntegerObject upper= new IntegerObject();
	
	int return_value = t1.time_parse(lower, upper, time_str);
	System.out.println("return: " + return_value);
	
	if(return_value == Time.TimeFail)
   	{
      	StringObject Message = new StringObject();
   		t1.get_time_error_message(Message);
	    System.out.println(Message);
	   }
      else
      {
      	StringObject output = new StringObject();
		t1.present(lower.getValue(), upper.getValue(), output, 0);
	   	System.out.println("Output: " + output);
		t1.present(lower.getValue(), upper.getValue(), output, 1);
	   	System.out.println("Output (greek): " + output);
      }
}

  public static void main(String[] args) {
  new test();
  System.out.println("press any key to exit....");
  try{
      System.in.read();

    }catch(IOException e){
      System.out.println("Cannot Read!!!");
    }
  }
}
