/*
 * COPYRIGHT (c) 2009 by Institute of Computer Science,
 * Foundation for Research and Technology - Hellas
 * Contact:
 *      POBox 1385, Heraklio Crete, GR-700 13 GREECE
 *      Tel:+30-2810-391632
 *      Fax: +30-2810-391638
 *      E-mail: isl@ics.forth.gr
 *      http://www.ics.forth.gr/isl/cci.html
 *
 *  Original Author  :  K.V. Chandrinos
 *  Modified by: Georgis Christos
 *
 *  This file is part of  ISL - Time-Primitive Java-API
 *
 *  ISL - Time-Primitive Java-API is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  ISL - Time-Primitive Java-API is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ISL - Time-Primitive Java-API.  If not, see <http://www.gnu.org/licenses/>.
 */

/* Windows specific hacks added by K.V. Chandrinos with the
 help of Alexis Paramythis*/
#include "alpar.h"

#include <jni.h>
#include "sistime_Time.h"
#include <stdlib.h>
#include <stdio.h>
#ifdef SIS_WIN32
        #include <conio.h>
#endif

#include "misc.h"
#include "time_dll_api.h"

#define TimeFail -1
#define TimeSucc 0
/*
 * Class:     sistime_Time
 * Method:    present
 * Signature: (IILsistime/StringObject;)V
 */
JNIEXPORT void JNICALL Java_sistime_Time_present
  (JNIEnv *env , jobject, jint lower, jint upper, jobject jtime_str, jint lang)
  {
    char time_str[512];
    present(lower, upper, time_str, lang);
	stringObjectC2J(env, time_str, jtime_str, 512);
  }

/*
 * Class:     sistime_Time
 * Method:    time_parse
 * Signature: (Lsistime/IntegerObject;Lsistime/IntegerObject;Ljava/lang/String;)I
 */
JNIEXPORT jint JNICALL Java_sistime_Time_time_1parse
  (JNIEnv *env, jobject, jobject jlower, jobject jupper, jstring jparse_time_str)
  {
  int lower;
  int upper;
  jint jret_val;
  char parse_time_str[512];
  stringJ2C(env, jparse_time_str, parse_time_str, 512);
  int ret_val = time_parse(&lower, &upper, parse_time_str);
  integerC2J(env, lower, jlower);
  integerC2J(env, upper, jupper);
  printf("ret_val %d\n", ret_val);
  return ret_val;
  }

/*
 * Class:     sistime_Time
 * Method:    get_SIS_time_error_message
 * Signature: (Lsistime/StringObject;)I
 */
JNIEXPORT jint JNICALL Java_sistime_Time_get_1SIS_1time_1error_1message
  (JNIEnv *env, jobject, jobject jmessage)
  {
  	char message[255];
    int ret_val = get_time_error_message(message);
	stringObjectC2J(env, message, jmessage, 255);
    return ret_val;
  }



